Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229647 - Review Request: hyperestraier - A full-text search system
Summary: Review Request: hyperestraier - A full-text search system
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 229478
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-22 14:23 UTC by Mamoru TASAKA
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 15:48:08 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2007-02-22 14:23:50 UTC
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/hyperestraier.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/hyperestraier-1.4.9-1.fc7.src.rpm
Mockbuild log on FC-devel i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-hyperestraier.log
Description: 
Hyper Estraier is a full-text search system. You can search 
lots of documents for some documents including specified words. 
If you run a web site, it is useful as your own search engine 
for pages in your site. Also, it is useful as search utilities 
of mail boxes and file servers.

rpmlint on binary rpms:
-------------------------------------------
W: hyperestraier-java devel-file-in-non-devel-package /usr/lib/libjestraier.so
-------------------------------------------
   Well, I don't know well about java package, however
   I think that there is no need to create another -java-devel
   package for this .so file.

This package depends on qdbm (bug 229478)

Co-maintainers are welcome!!

Comment 1 Mamoru TASAKA 2007-02-22 16:11:44 UTC
kazehakase (currently I maintain) can use hyperestraier as a
search engine.

Comment 2 Mamoru TASAKA 2007-02-22 21:52:00 UTC
Some mistakes are found.

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/hyperestraier-1.4.9-2.fc7.src.rpm
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/hyperestraier.spec

* Fri Feb 23 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.9-2
- Remove duplicate files and fix the dependency for main package.


Comment 3 Parag AN(पराग) 2007-02-23 11:09:10 UTC
Review:
+ package builds fine in mock (development i386).
+ rpmlint is silent for SRPM
- rpmlint is NOT silent for RPM.
  (But following rpmlint warning can be ignored
   W: hyperestraier-java devel-file-in-non-devel-package /usr/lib/libjestraier.so)
+ source files match upstream.
70e0533f1ca5247d8187afcb51b8d4e0  hyperestraier-1.4.9.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ .pc file present.
+ -devel,-java,-perl, ruby-hyperestraier subpackage exists.
+ no .la files.
+ translations are available for Japanese language.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.

APPROVED.

Comment 4 Mamoru TASAKA 2007-02-23 12:11:52 UTC
Thanks!!

Request for CVS admin to import this package:
--------------------------------------------
New Package CVS Request
=======================
Package Name:            hyperestraier
Short Description:       A full-text search system
Owners:                  mtasaka@ioa.s.u-tokyo.ac.jp
Branches:                FC-5 FC-6 FC-devel
InitialCC:               (nobody)
--------------------------------------------

Comment 5 Dennis Gilmore 2007-02-23 13:00:04 UTC
branched

Comment 6 Mamoru TASAKA 2007-02-23 15:48:08 UTC
Imported for FE-devel/6/5.
For FE-5 I had to disable lzo compression support.

Closing now. Thank you for reviewing and approving this
package!!


Note You need to log in before you can comment on or make changes to this bug.